Class Specialization
SequenceBitMask
The string set bit string dictionary is a string set of rank support bit strings for constant time acces of the rank of a specified character at a specified position.

RankDictionary

SequenceBitMask

SequenceBitMask<TValue>
Include Headers
seqan/index.h
Parameters

TValue | The value type of the .

Remarks
This data structure is optimized for very small alphabets, such as Dna or Dna5. Consider using a WaveletTree if your alphabet size is larger.
Specialization of
RankDictionary
Metafunctions

Fibre | Type of a specific container member (fibre). (RankDictionary)

Functions

clear | Clears the rank dictionary. (RankDictionary)
countOccurrences | Returns the number of occurrences of a specified character from the start to a specified position. (RankDictionary)
createRankDictionary | This functions creates the dictionary. (RankDictionary)
createSentinelRankDictionary | This functions creates the dictionary structure. (RankDictionary)
empty | Returns whether or not the rank dictionary is empty. (RankDictionary)
getFibre | Returns a specific fibre of a dictionary. (RankDictionary)
getSentinelSubstitute | Returns the character used to substitute the sentinel sign. (RankDictionary)
getValue | Returns the character of a specified position. (RankDictionary)
open | This functions loads a dictionary from disk. (RankDictionary)
save | This functions saves a dictionary to disk. (RankDictionary)
setSentinelPosition | Sets the sentinel position.. (RankDictionary)
setSentinelSubstitute | Sets the character used to substitute the sentinel sign. (RankDictionary)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00